package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportUnitenergy;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 报表1-3能耗指标表 服务类
 * @since 2020-09-16
 * @author stz
 */
public interface TReportUnitenergyService extends IService<TReportUnitenergy> {

    //通过能源报表id获取能耗指标表信息
    List<TReportUnitenergy> getUnitenergyByReportId(Long reportId);

    //报表填写时，根据报表设置、上年值进行初始化
    List<TReportUnitenergy> initialize(List<Long> ids,Long reportId);

    //根据本年、上年报表id获取 能耗指标表列表信息
    List<TReportUnitenergy> getByIdAndPrevId(Long id, Long prevId);

    //取出该指标所在年份的平均值（只取已经上报的）
    String getQuotaAverage(int year, String type, Long quotaId);
}
